#include <bits/stdc++.h>
using namespace std;
long long n,k,d[50005];
vector<long long>p,r;



int main(){
   cin>>n>>k;
   for(int i=1; i<=k; i++){
    cin>>d[i];
   }
   for(int i=1; i<=k; i++){
    if(d[i]==1){
        cout<<1<<endl;
    }
    else{
        cout<<d[i]+2<<endl;
        }


    }


return 0;
}